﻿//-----------------------------------------------------------------------
// <copyright file="DemoModuleCommand.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.Sdk.DemoModule.Commands
{
    using System;
    using BioWes.Sdk.DemoModule.Services;
    using dataPartner.ApplicationFramework4;

    /// <summary>Any DemoModuleCommand</summary>
    internal sealed class DemoModuleCommand : BaseDemoModuleCommand
    {
        public override string Name 
        {
            get { return CommandName.DemoModuleCommand; } 
        }

        public override bool Enabled
        {
            get
            {
                return base.Enabled; // or other your restriction
            }
        }

        public override void ExecuteDefault()
        {
            try
            {
                var service = AppFramework.GetService<IDemoModuleService>();
                service.RecalculateData();
            }
            catch (Exception ex)
            {
                AppFramework.Face.ShowException(ex);
            }
        }
    }
}
