﻿//-----------------------------------------------------------------------
// <copyright file="ShowDemoModuleCommand.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.Sdk.DemoModule.Commands
{
    using BioWes.ProjectManager;
    using dataPartner.ApplicationFramework4;

    /// <summary>Show DemoModule form (for example)</summary>
    internal sealed class ShowDemoModuleCommand : BaseDemoModuleCommand
    {
        public override string Name
        {
            get { return CommandName.ShowDemoModuleCommand; } 
        }

        public override bool Enabled
        {
            get
            {
                var protocolManager = AppFramework.GetService<IProtocolManagerService>();
                return protocolManager != null && protocolManager.SelectedProtocol != null;
            }
        }

        public override bool HasDefaultHandler
        {
            get
            {
                return false;
            }
        }
    }
}
