﻿//-----------------------------------------------------------------------
// <copyright file="DemoModuleForm.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.Sdk.DemoModule.Face
{
    using System.Windows.Forms;
    using dataPartner.ApplicationFramework4.Face;
    using dataPartner.ApplicationFramework4;
    using dataPartner.ComponentModel;

    public partial class DemoModuleForm : Form
        , IWindow
        //,IDemoModuleFormProvider // for example, if you need it (form service - interface, that is registered in AppFramework via RegisterService()/UnregisterService())
    {
        IAppFramework _appFramework;

        public DemoModuleForm(IAppFramework appFramework)
        {
            InitializeComponent();

            _appFramework = appFramework;

            //((IServiceRegistry)_appFramework).RegisterService(typeof(IDemoModuleFormProvider), this); // if is IDemoModuleFormProvider implemented
        }

        protected override void OnActivated(System.EventArgs e)
        {
            base.OnActivated(e);

            _appFramework.Face.ShowMessageBox("Form from DemoModule is Activated.", null, MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        #region IWindow Members
        
        public WindowDocking Docking
        {
            get 
            {
                return WindowDocking.DockAsTab; 
            }
        }

        public string Title
        {
            get 
            {
                return Resources.Messages.DemoModuleForm_Title; 
            }
        }

        #endregion

        #region IControlOwner Members

        public object Control
        {
            get { return this; }
        }

        #endregion
    }
}